FILE* inFile;
FILE* outFile;
FILE* codeTableFile;

//returns -1 if past end of file
static inline unsigned int getUncompressedByte() {
  return fgetc(inFile);
}

static inline unsigned char getCompressedByte() {
  int c = fgetc(outFile);  //we are wanting compressed data
  if (c ==EOF) {perror ("oops--read past end of file"); exit(2); }
  return c;
}

static void putCompressedByte(unsigned char outByte) {
  fputc(outByte, outFile);
}

static inline void putDecompressedByte(unsigned char node) {
//  fputc(node, checkFile);
}

